---
updatedAt: 2026-04-28T11:25:23.000Z
---

Fetch the complete documentation index at: https://apidocs.hibob.com/llms.txt. Use this file to discover all available pages before exploring further.

# Search job openings

Searches job openings using filters and returns paginated results.

<ul>
  <li>Use the <code>fields</code> parameter to specify which fields to return</li>
  <li>Use the <code>filters</code> parameter to narrow down results</li>
  <li>Use cursor-based pagination with <code>limit</code> and <code>cursor</code></li>
</ul>

<p><b>Testing notes</b>:</p>
<ul>
  <li>Use the testing widget's <b>Try It!</b> option to test this endpoint.</li>
  <li>Use the <b>Examples > Request Example</b> option to see how to initiate body parameters.</li>
</ul>


# OpenAPI definition

```json
{
  "openapi": "3.1.1",
  "info": {
    "title": "Bob Hiring API",
    "description": "Public API for accessing Bob Hiring data including Job Openings, Candidates, and Applications.",
    "license": {
      "name": "Proprietary",
      "url": "https://apidocs.hibob.com/docs/api-terms-of-use"
    },
    "contact": {
      "name": "Hi Bob, Inc."
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.hibob.com/v1",
      "description": "Production"
    },
    {
      "url": "https://api.sandbox.hibob.com/v1",
      "description": "Sandbox"
    }
  ],
  "x-readme": {
    "metrics-enabled": false
  },
  "tags": [
    {
      "name": "Job Openings",
      "description": "Search and retrieve job opening data"
    }
  ],
  "paths": {
    "/hiring/job-openings/search": {
      "post": {
        "tags": [
          "Job Openings"
        ],
        "operationId": "post_hiring-job-openings-search",
        "summary": "Search job openings",
        "description": "Searches job openings using filters and returns paginated results.\n\n<ul>\n  <li>Use the <code>fields</code> parameter to specify which fields to return</li>\n  <li>Use the <code>filters</code> parameter to narrow down results</li>\n  <li>Use cursor-based pagination with <code>limit</code> and <code>cursor</code></li>\n</ul>\n\n<p><b>Testing notes</b>:</p>\n<ul>\n  <li>Use the testing widget's <b>Try It!</b> option to test this endpoint.</li>\n  <li>Use the <b>Examples > Request Example</b> option to see how to initiate body parameters.</li>\n</ul>\n",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/JobOpeningSearchRequest"
              },
              "examples": {
                "basicSearch": {
                  "summary": "Basic search - all job openings",
                  "description": "Retrieve all job openings with core fields",
                  "value": {
                    "fields": [
                      "/jobOpening/id",
                      "/jobOpening/title",
                      "/jobOpening/status",
                      "/jobOpening/department",
                      "/jobOpening/siteId",
                      "/jobOpening/createdAt"
                    ],
                    "filters": [],
                    "limit": 100
                  }
                },
                "filteredSearch": {
                  "summary": "Filter by status",
                  "description": "Search for open job openings only",
                  "value": {
                    "fields": [
                      "/jobOpening/id",
                      "/jobOpening/title",
                      "/jobOpening/status",
                      "/jobOpening/department",
                      "/jobOpening/siteId",
                      "/jobOpening/employmentType",
                      "/jobOpening/createdAt",
                      "/jobOpening/jobMarketingStatus"
                    ],
                    "filters": [
                      {
                        "fieldId": "/jobOpening/status",
                        "operator": "equals",
                        "values": [
                          "open"
                        ]
                      }
                    ],
                    "limit": 50
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully retrieved job openings",
            "headers": {
              "X-RateLimit-Limit": {
                "description": "Maximum requests per minute",
                "schema": {
                  "type": "integer",
                  "example": 120
                }
              },
              "X-RateLimit-Remaining": {
                "description": "Remaining requests in current window",
                "schema": {
                  "type": "integer",
                  "example": 119
                }
              },
              "X-RateLimit-Reset": {
                "description": "Seconds until rate limit resets",
                "schema": {
                  "type": "integer",
                  "example": 60
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobOpeningSearchResponse"
                },
                "examples": {
                  "successResponse": {
                    "summary": "Successful response with job openings",
                    "value": {
                      "items": [
                        {
                          "/jobOpening/id": 7247345,
                          "/jobOpening/title": "Product Design Team Lead",
                          "/jobOpening/status": "open",
                          "/jobOpening/department": "Product Design",
                          "/jobOpening/employmentType": "Permanent",
                          "/jobOpening/siteId": 2520833,
                          "/jobOpening/pipelineId": 9203,
                          "/jobOpening/createdAt": "2024-07-03T12:00:19.041337917Z",
                          "/jobOpening/applicationFormId": 7247341,
                          "/jobOpening/jobMarketingStatus": "live",
                          "/jobOpening/statusHistory": [
                            {
                              "date": "2024-07-03T12:00:19.041337917Z",
                              "status": "draft"
                            },
                            {
                              "date": "2024-07-03T12:00:19.111259154Z",
                              "status": "open"
                            }
                          ]
                        }
                      ],
                      "response_metadata": {
                        "next_cursor": "eyJpZCI6MTIzNDU2Nzg5fQ=="
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "INVALID_ARGUMENT",
                  "message": "Invalid field ID: /jobOpening/invalidField",
                  "requestId": "a1b2c3d4e5f6"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing credentials",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - IP not allowed or feature not enabled",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "FORBIDDEN",
                  "message": "Access denied: IP address is not allowed",
                  "requestId": "a1b2c3d4e5f6"
                }
              }
            }
          },
          "429": {
            "description": "Rate limit exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "RATE_LIMITED",
                  "message": "Rate limit exceeded. Try again in 45 seconds.",
                  "requestId": "a1b2c3d4e5f6"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "Basic": []
          },
          {
            "Bearer": []
          }
        ],
        "x-internal": false
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Basic": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic HTTP authentication using service user credentials"
      },
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "OAuth 2.0",
        "description": "OAuth 2.0 authentication using an Access Token is available for registered partners only. Try It! does not support the full HiBob OAuth flow. You can follow <a href=\"https://apidocs.hibob.com/reference/oauth-20#testing-from-the-public-api-reference\" target=\"_blank\">these steps</a> to complete the OAuth 2.0 flow in Postman and then paste the token here."
      }
    },
    "schemas": {
      "JobOpeningSearchRequest": {
        "type": "object",
        "required": [
          "fields"
        ],
        "default": {
          "fields": [
            "/jobOpening/id",
            "/jobOpening/title",
            "/jobOpening/status",
            "/jobOpening/department",
            "/jobOpening/siteId",
            "/jobOpening/createdAt"
          ],
          "filters": [],
          "limit": 100
        },
        "properties": {
          "fields": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "/jobOpening/id",
                "/jobOpening/title",
                "/jobOpening/status",
                "/jobOpening/employmentType",
                "/jobOpening/department",
                "/jobOpening/siteId",
                "/jobOpening/pipelineId",
                "/jobOpening/createdAt",
                "/jobOpening/createdBy",
                "/jobOpening/applicationFormId",
                "/jobOpening/jobMarketingStatus",
                "/jobOpening/statusHistory",
                "/jobOpening/recruiterId",
                "/jobOpening/owner",
                "/jobOpening/jobLevelId",
                "/jobOpening/jobProfileId",
                "/jobOpening/approvalWorkflowTemplateId",
                "/jobOpening/seniority",
                "/jobOpening/educationLevel",
                "/jobOpening/minimumYearsOfExperience",
                "/jobOpening/payTransparencyMinSalary",
                "/jobOpening/payTransparencyMaxSalary",
                "/jobOpening/payTransparencySalaryCurrency",
                "/jobOpening/payTransparencySalaryPayPeriod",
                "/jobOpening/payTransparencySalaryInternalNote",
                "/jobOpening/category",
                "/jobOpening/industry",
                "/jobOpening/jobBoardEmploymentType",
                "/jobOpening/workingLocation",
                "/jobOpening/emailForwardingSubscribers",
                "/jobOpening/jobCategory",
                "/jobOpening/skillsAdditionalInfo",
                "/jobOpening/modificationDate"
              ]
            },
            "description": "Required list of field IDs to include in the response (1–50 fields). The property must be provided; if omitted or not provided, the API returns an error. You must explicitly choose which fields to fetch. For all available field IDs, see the <code>fields</code> object defined on each item in the 200 response schema."
          },
          "filters": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "fieldId",
                "operator",
                "values"
              ],
              "properties": {
                "fieldId": {
                  "type": "string",
                  "enum": [
                    "/jobOpening/id",
                    "/jobOpening/status",
                    "/jobOpening/siteId",
                    "/jobOpening/department",
                    "/jobOpening/employmentType",
                    "/jobOpening/recruiterId",
                    "/jobOpening/owner",
                    "/jobOpening/createdBy",
                    "/jobOpening/createdAt",
                    "/jobOpening/modificationDate"
                  ],
                  "description": "Field ID to filter by"
                },
                "operator": {
                  "type": "string",
                  "enum": [
                    "equals",
                    "notEqual",
                    "greaterThan",
                    "lessThan"
                  ],
                  "description": "Filter operator. Use 'equals'/'notEqual' for exact matching. Use 'greaterThan'/'lessThan' for date range filtering (e.g. modificationDate, createdAt).\n"
                },
                "values": {
                  "type": "array",
                  "items": {
                    "type": [
                      "string",
                      "number"
                    ]
                  }
                }
              }
            },
            "default": []
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200,
            "default": 100
          },
          "cursor": {
            "type": "string"
          },
          "includeArchived": {
            "type": "boolean",
            "default": false
          }
        }
      },
      "JobOpeningSearchResponseObject": {
        "type": "object",
        "description": "Flat key-value map of field IDs to values. Only requested fields are included.",
        "properties": {
          "/jobOpening/id": {
            "type": "integer",
            "format": "int64",
            "description": "Unique identifier for the job opening"
          },
          "/jobOpening/title": {
            "type": "string",
            "description": "Job opening title"
          },
          "/jobOpening/status": {
            "type": "string",
            "enum": [
              "draft",
              "open",
              "paused",
              "closed",
              "approved",
              "pending_approval",
              "rejected"
            ],
            "description": "Current status of the job opening. Possible values:<br /> <ul> <li><code>draft</code> – Draft</li> <li><code>open</code> – Open</li> <li><code>paused</code> – Paused</li> <li><code>closed</code> – Closed</li> <li><code>approved</code> – Approved</li> <li><code>pending_approval</code> – Pending approval</li> <li><code>rejected</code> – Rejected</li> </ul>"
          },
          "/jobOpening/employmentType": {
            "type": "string",
            "description": "Employment type (e.g., Permanent, Contract).<br /><br />To fetch employment type options (IDs and labels), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>employmentType</code> (<code>GET /v1/company/named-lists/employmentType</code>)."
          },
          "/jobOpening/department": {
            "type": "string",
            "description": "Department name.<br /><br />To fetch departments (IDs and names), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>department</code> (<code>GET /v1/company/named-lists/department</code>)."
          },
          "/jobOpening/siteId": {
            "type": "number",
            "description": "Site ID where the position is located.<br /><br />To fetch sites (IDs and names), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with path parameter <code>listName</code> set to <code>site</code> (<code>GET /v1/company/named-lists/site</code>)."
          },
          "/jobOpening/pipelineId": {
            "type": "number",
            "description": "Pipeline ID associated with this job opening"
          },
          "/jobOpening/createdAt": {
            "type": "string",
            "format": "date-time",
            "description": "Timestamp when the job opening was created"
          },
          "/jobOpening/createdBy": {
            "type": "string",
            "description": "Employee ID of the user who created the job opening.<br /><br />To read this employee, use <a href=\"https://apidocs.hibob.com/reference/post_people-identifier\" target=\"_blank\">Read company employee fields by employee ID ↗</a>."
          },
          "/jobOpening/applicationFormId": {
            "type": "number",
            "description": "ID of the application form"
          },
          "/jobOpening/jobMarketingStatus": {
            "type": "string",
            "enum": [
              "not_started",
              "ready_to_promote",
              "live",
              "ended"
            ],
            "description": "Job marketing status. Possible values:<br /> <ul> <li><code>not_started</code> – Not started</li> <li><code>ready_to_promote</code> – Ready to promote</li> <li><code>live</code> – Live</li> <li><code>ended</code> – Ended</li> </ul>"
          },
          "/jobOpening/statusHistory": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "date": {
                  "type": "string",
                  "format": "date-time"
                },
                "status": {
                  "type": "string"
                }
              }
            },
            "description": "History of status changes with timestamps"
          },
          "/jobOpening/recruiterId": {
            "type": "string",
            "description": "Employee ID of the recruiter.<br /><br />To read this employee, use <a href=\"https://apidocs.hibob.com/reference/post_people-identifier\" target=\"_blank\">Read company employee fields by employee ID ↗</a>."
          },
          "/jobOpening/owner": {
            "type": "string",
            "description": "Employee ID of the job opening owner.<br /><br />To read this employee, use <a href=\"https://apidocs.hibob.com/reference/post_people-identifier\" target=\"_blank\">Read company employee fields by employee ID ↗</a>."
          },
          "/jobOpening/jobLevelId": {
            "type": "number",
            "description": "Job level ID.<br /><br />For job catalog metadata (levels, profiles), see <a href=\"https://apidocs.hibob.com/reference/get_job-catalog-job-profiles-metadata\" target=\"_blank\">Get job profiles metadata ↗</a>."
          },
          "/jobOpening/jobProfileId": {
            "type": "number",
            "description": "Job profile ID.<br /><br />To search job profiles, use <a href=\"https://apidocs.hibob.com/reference/post_job-catalog-job-profiles-search\" target=\"_blank\">Read company job profiles ↗</a>."
          },
          "/jobOpening/approvalWorkflowTemplateId": {
            "type": "number",
            "description": "Approval workflow template ID"
          },
          "/jobOpening/seniority": {
            "type": "string",
            "description": "Seniority level.<br /><br />To fetch seniority options (IDs and labels), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>seniority</code> (<code>GET /v1/company/named-lists/seniority</code>)."
          },
          "/jobOpening/educationLevel": {
            "type": "string",
            "description": "Required education level.<br /><br />To fetch education level options (IDs and labels), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>educationLevels</code> (<code>GET /v1/company/named-lists/educationLevels</code>)."
          },
          "/jobOpening/minimumYearsOfExperience": {
            "type": "number",
            "description": "Minimum years of experience required"
          },
          "/jobOpening/payTransparencyMinSalary": {
            "type": "number",
            "description": "Minimum salary for pay transparency. May be omitted from the response if the caller lacks the hiring-role SalaryRangeView permission."
          },
          "/jobOpening/payTransparencyMaxSalary": {
            "type": "number",
            "description": "Maximum salary for pay transparency. May be omitted from the response if the caller lacks the hiring-role SalaryRangeView permission."
          },
          "/jobOpening/payTransparencySalaryCurrency": {
            "type": "string",
            "description": "Currency for pay transparency salary fields. May be omitted from the response if the caller lacks the hiring-role SalaryRangeView permission.<br /><br />To fetch currency options (IDs and labels), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>currency</code> (<code>GET /v1/company/named-lists/currency</code>)."
          },
          "/jobOpening/payTransparencySalaryPayPeriod": {
            "type": "string",
            "description": "Pay period for pay transparency salary fields. May be omitted from the response if the caller lacks the hiring-role SalaryRangeView permission.<br /><br />To fetch pay period options (IDs and labels), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>payPeriod</code> (<code>GET /v1/company/named-lists/payPeriod</code>)."
          },
          "/jobOpening/payTransparencySalaryInternalNote": {
            "type": "string",
            "description": "Internal note about pay transparency salary for the hiring team. May be omitted from the response if the caller lacks the hiring-role SalaryRangeView permission."
          },
          "/jobOpening/category": {
            "type": "string",
            "description": "Job function or category.<br /><br />To fetch category options (IDs and labels), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>jobFunctions</code> (<code>GET /v1/company/named-lists/jobFunctions</code>)."
          },
          "/jobOpening/industry": {
            "type": "string",
            "description": "Industry"
          },
          "/jobOpening/jobBoardEmploymentType": {
            "type": "string",
            "description": "Employment type for job board publishing.<br /><br />Options often align with the company employment type list; use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>employmentType</code> (<code>GET /v1/company/named-lists/employmentType</code>)."
          },
          "/jobOpening/workingLocation": {
            "type": "string",
            "enum": [
              "onsite",
              "remote",
              "hybrid"
            ],
            "description": "Working location type. Possible values:<br /> <ul> <li><code>onsite</code> – On-site</li> <li><code>remote</code> – Remote</li> <li><code>hybrid</code> – Hybrid</li> </ul>"
          },
          "/jobOpening/emailForwardingSubscribers": {
            "type": "array",
            "description": "List of employee IDs subscribed to email forwarding for this job opening.",
            "items": {
              "type": "string",
              "description": "Employee ID.<br /><br />To read this employee, use <a href=\"https://apidocs.hibob.com/reference/post_people-identifier\" target=\"_blank\">Read company employee fields by employee ID ↗</a>."
            }
          },
          "/jobOpening/jobCategory": {
            "type": "string",
            "description": "Job category.<br /><br />To fetch job category options (IDs and labels), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with <code>listName</code> <code>jobCategory</code> (<code>GET /v1/company/named-lists/jobCategory</code>)."
          },
          "/jobOpening/skillsAdditionalInfo": {
            "type": "string",
            "description": "Additional information about required skills"
          },
          "/jobOpening/modificationDate": {
            "type": "string",
            "format": "date-time",
            "description": "Timestamp of the last modification to this job opening"
          }
        }
      },
      "JobOpeningSearchResponse": {
        "type": "object",
        "required": [
          "items",
          "response_metadata"
        ],
        "properties": {
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/JobOpeningSearchResponseObject"
            },
            "description": "Array of job opening objects"
          },
          "response_metadata": {
            "type": "object",
            "properties": {
              "next_cursor": {
                "type": [
                  "string",
                  "null"
                ],
                "description": "Cursor for next page. Null if no more results."
              }
            }
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "required": [
          "code",
          "message",
          "requestId"
        ],
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "INVALID_ARGUMENT",
              "FORBIDDEN",
              "RATE_LIMITED",
              "INTERNAL_ERROR",
              "NOT_FOUND"
            ],
            "description": "Error code identifying the type of error:\n- `INVALID_ARGUMENT`: Invalid request parameters\n- `FORBIDDEN`: Access denied (IP not allowed or feature disabled)\n- `RATE_LIMITED`: Too many requests\n- `INTERNAL_ERROR`: Server-side error\n- `NOT_FOUND`: Resource not found\n"
          },
          "message": {
            "type": "string",
            "description": "Human-readable error message"
          },
          "requestId": {
            "type": "string",
            "description": "Unique request identifier for tracking and debugging"
          }
        }
      }
    }
  }
}
```